# tea fish shell completion

function __fish_tea_no_subcommand --description 'Test if there has been any subcommand yet'
    for i in (commandline -opc)
        if contains -- $i logins login list ls add edit e delete rm default logout shellcompletion autocomplete whoami issues issue i list ls create c reopen open close pulls pull pr list ls checkout co clean create c close reopen open review approve lgtm a reject merge m labels label list ls create c update delete rm milestones milestone ms list ls create c close delete rm reopen open issues i add a remove r releases release r list ls create c delete rm edit e times time t add a delete rm reset list ls organizations organization org list ls create c delete rm repos repo list ls search s create c create-from-template ct fork f comment c open o notifications notification n ls list read r unread u pin p unpin clone C admin a users u list ls help h
            return 1
        end
    end
    return 0
end

complete -c tea -n '__fish_tea_no_subcommand' -f -l help -s h -d 'show help'
complete -c tea -n '__fish_tea_no_subcommand' -f -l version -s v -d 'print the version'
complete -c tea -n '__fish_tea_no_subcommand' -f -l help -s h -d 'show help'
complete -c tea -n '__fish_tea_no_subcommand' -f -l version -s v -d 'print the version'
complete -c tea -n '__fish_seen_subcommand_from logins login' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'logins login' -d 'Log in to a Gitea server'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from logins login' -a 'list ls' -d 'List Gitea logins'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from add' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from logins login' -a 'add' -d 'Add a Gitea login'
complete -c tea -n '__fish_seen_subcommand_from add' -f -l name -s n -r -d 'Login name'
complete -c tea -n '__fish_seen_subcommand_from add' -f -l url -s u -r -d 'Server URL'
complete -c tea -n '__fish_seen_subcommand_from add' -f -l token -s t -r -d 'Access token. Can be obtained from Settings > Applications'
complete -c tea -n '__fish_seen_subcommand_from add' -f -l user -r -d 'User for basic auth (will create token)'
complete -c tea -n '__fish_seen_subcommand_from add' -f -l password -s pwd -r -d 'Password for basic auth (will create token)'
complete -c tea -n '__fish_seen_subcommand_from add' -f -l ssh-key -s s -r -d 'Path to a SSH key to use, overrides auto-discovery'
complete -c tea -n '__fish_seen_subcommand_from add' -f -l insecure -s i -d 'Disable TLS verification'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from logins login' -a 'edit e' -d 'Edit Gitea logins'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from logins login' -a 'delete rm' -d 'Remove a Gitea login'
complete -c tea -n '__fish_seen_subcommand_from default' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from logins login' -a 'default' -d 'Get or Set Default Login'
complete -c tea -n '__fish_seen_subcommand_from default' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from logout' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'logout' -d 'Log out from a Gitea server'
complete -c tea -n '__fish_seen_subcommand_from shellcompletion autocomplete' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'shellcompletion autocomplete' -d 'Install shell completion for tea'
complete -c tea -n '__fish_seen_subcommand_from shellcompletion autocomplete' -f -l install -d 'Persist in shell config instead of printing commands'
complete -c tea -n '__fish_seen_subcommand_from shellcompletion autocomplete' -f -l help -s h -d 'show help'
complete -c tea -n '__fish_seen_subcommand_from whoami' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'whoami' -d 'Show current logged in user'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'issues issue i' -d 'List, create and update issues'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l comments -d 'Whether to display comments (will prompt if not provided & run interactively)'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			index,state,kind,author,author-id,url,title,body,created,updated,deadline,assignees,milestone,labels,comments
		'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l state -r -d 'Filter by state (all|open|closed)'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l kind -s K -r -d 'Whether to return `issues`, `pulls`, or `all` (you can use this to apply advanced search filters to PRs)'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l keyword -s k -r -d 'Filter by search string'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l labels -s L -r -d 'Comma-separated list of labels to match issues against.
			
		'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l milestones -s m -r -d 'Comma-separated list of milestones to match issues against.
			
		'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l author -s A -r
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l assignee -s a -r
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l mentions -s M -r
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l from -s F -r -d 'Filter by activity after this date'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l until -s u -r -d 'Filter by activity before this date'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from issues issue i' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from issues issue i' -a 'list ls' -d 'List issues of the repository'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			index,state,kind,author,author-id,url,title,body,created,updated,deadline,assignees,milestone,labels,comments
		'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l state -r -d 'Filter by state (all|open|closed)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l kind -s K -r -d 'Whether to return `issues`, `pulls`, or `all` (you can use this to apply advanced search filters to PRs)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l keyword -s k -r -d 'Filter by search string'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l labels -s L -r -d 'Comma-separated list of labels to match issues against.
			
		'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l milestones -s m -r -d 'Comma-separated list of milestones to match issues against.
			
		'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l author -s A -r
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l assignee -s a -r
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l mentions -s M -r
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l from -s F -r -d 'Filter by activity after this date'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l until -s u -r -d 'Filter by activity before this date'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from issues issue i' -a 'create c' -d 'Create an issue on repository'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l title -s t -r
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l description -s d -r
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l assignees -s a -r -d 'Comma-separated list of usernames to assign'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l labels -s L -r -d 'Comma-separated list of labels to assign'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l deadline -s D -r -d 'Deadline timestamp to assign'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l milestone -s m -r -d 'Milestone to assign'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from issues issue i' -a 'reopen open' -d 'Change state of an issue to \'open\''
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from issues issue i' -a 'close' -d 'Change state of an issue to \'closed\''
complete -c tea -n '__fish_seen_subcommand_from close' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'pulls pull pr' -d 'Manage and checkout pull requests'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l comments -d 'Whether to display comments (will prompt if not provided & run interactively)'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			index,state,author,author-id,url,title,body,mergeable,base,base-commit,head,diff,patch,created,updated,deadline,assignees,milestone,labels,comments
		'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l state -r -d 'Filter by state (all|open|closed)'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from pulls pull pr' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'list ls' -d 'List pull requests of the repository'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			index,state,author,author-id,url,title,body,mergeable,base,base-commit,head,diff,patch,created,updated,deadline,assignees,milestone,labels,comments
		'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l state -r -d 'Filter by state (all|open|closed)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from checkout co' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'checkout co' -d 'Locally check out the given PR'
complete -c tea -n '__fish_seen_subcommand_from checkout co' -f -l branch -s b -d 'Create a local branch if it doesn\'t exist yet'
complete -c tea -n '__fish_seen_subcommand_from checkout co' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from checkout co' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from checkout co' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from checkout co' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from clean' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'clean' -d 'Deletes local & remote feature-branches for a closed pull request'
complete -c tea -n '__fish_seen_subcommand_from clean' -f -l ignore-sha -d 'Find the local branch by name instead of commit hash (less precise)'
complete -c tea -n '__fish_seen_subcommand_from clean' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from clean' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from clean' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from clean' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'create c' -d 'Create a pull-request'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l head -r -d 'Branch name of the PR source (default is current one). To specify a different head repo, use <user>:<branch>'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l base -s b -r -d 'Branch name of the PR target (default is repos default branch)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l title -s t -r
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l description -s d -r
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l assignees -s a -r -d 'Comma-separated list of usernames to assign'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l labels -s L -r -d 'Comma-separated list of labels to assign'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l deadline -s D -r -d 'Deadline timestamp to assign'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l milestone -s m -r -d 'Milestone to assign'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'close' -d 'Change state of a pull request to \'closed\''
complete -c tea -n '__fish_seen_subcommand_from close' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'reopen open' -d 'Change state of a pull request to \'open\''
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from review' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'review' -d 'Interactively review a pull request'
complete -c tea -n '__fish_seen_subcommand_from review' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from review' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from review' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from review' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from approve lgtm a' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'approve lgtm a' -d 'Approve a pull request'
complete -c tea -n '__fish_seen_subcommand_from approve lgtm a' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from approve lgtm a' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from approve lgtm a' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from approve lgtm a' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from reject' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'reject' -d 'Request changes to a pull request'
complete -c tea -n '__fish_seen_subcommand_from reject' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from reject' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from reject' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from reject' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from merge m' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from pulls pull pr' -a 'merge m' -d 'Merge a pull request'
complete -c tea -n '__fish_seen_subcommand_from merge m' -f -l style -s s -r -d 'Kind of merge to perform: merge, rebase, squash, rebase-merge'
complete -c tea -n '__fish_seen_subcommand_from merge m' -f -l title -s t -r -d 'Merge commit title'
complete -c tea -n '__fish_seen_subcommand_from merge m' -f -l message -s m -r -d 'Merge commit message'
complete -c tea -n '__fish_seen_subcommand_from merge m' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from merge m' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from merge m' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from merge m' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from labels label' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'labels label' -d 'Manage issue labels'
complete -c tea -n '__fish_seen_subcommand_from labels label' -f -l save -s s -d 'Save all the labels as a file'
complete -c tea -n '__fish_seen_subcommand_from labels label' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from labels label' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from labels label' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from labels label' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from labels label' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from labels label' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from labels label' -a 'list ls' -d 'List labels'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l save -s s -d 'Save all the labels as a file'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from labels label' -a 'create c' -d 'Create a label'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l name -r -d 'label name'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l color -r -d 'label color value'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l description -r -d 'label description'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l file -r -d 'indicate a label file'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from update' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from labels label' -a 'update' -d 'Update a label'
complete -c tea -n '__fish_seen_subcommand_from update' -f -l id -r -d 'label id'
complete -c tea -n '__fish_seen_subcommand_from update' -f -l name -r -d 'label name'
complete -c tea -n '__fish_seen_subcommand_from update' -f -l color -r -d 'label color value'
complete -c tea -n '__fish_seen_subcommand_from update' -f -l description -r -d 'label description'
complete -c tea -n '__fish_seen_subcommand_from update' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from update' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from update' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from update' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from labels label' -a 'delete rm' -d 'Delete a label'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l id -r -d 'label id'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'milestones milestone ms' -d 'List and create milestones'
complete -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			title,state,items_open,items_closed,items,duedate,description,created,updated,closed,id
		'
complete -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -f -l state -r -d 'Filter by milestone state (all|open|closed)'
complete -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -a 'list ls' -d 'List milestones of the repository'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			title,state,items_open,items_closed,items,duedate,description,created,updated,closed,id
		'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l state -r -d 'Filter by milestone state (all|open|closed)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -a 'create c' -d 'Create an milestone on repository'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l title -s t -r -d 'milestone title to create'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l description -s d -r -d 'milestone description to create'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l deadline -s expires -s x -r -d 'set milestone deadline (default is no due date)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l state -r -d 'set milestone state (default is open)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -a 'close' -d 'Change state of an milestone to \'closed\''
complete -c tea -n '__fish_seen_subcommand_from close' -f -l force -s f -d 'delete milestone'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from close' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -a 'delete rm' -d 'delete a milestone'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -a 'reopen open' -d 'Change state of an milestone to \'open\''
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from reopen open' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from milestones milestone ms' -a 'issues i' -d 'manage issue/pull of an milestone'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l state -r -d 'Filter by issue state (all|open|closed)'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l kind -r -d 'Filter by kind (issue|pull)'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			index,state,kind,author,author-id,url,title,body,created,updated,deadline,assignees,milestone,labels,comments
		'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from issues i' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from add a' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from issues i' -a 'add a' -d 'Add an issue/pull to an milestone'
complete -c tea -n '__fish_seen_subcommand_from add a' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from add a' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from add a' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from add a' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from remove r' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from issues i' -a 'remove r' -d 'Remove an issue/pull to an milestone'
complete -c tea -n '__fish_seen_subcommand_from remove r' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from remove r' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from remove r' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from remove r' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from releases release r' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'releases release r' -d 'Manage releases'
complete -c tea -n '__fish_seen_subcommand_from releases release r' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from releases release r' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from releases release r' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from releases release r' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from releases release r' -a 'list ls' -d 'List Releases'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from releases release r' -a 'create c' -d 'Create a release'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l tag -r -d 'Tag name. If the tag does not exist yet, it will be created by Gitea'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l target -r -d 'Target branch name or commit hash. Defaults to the default branch of the repo'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l title -s t -r -d 'Release title'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l note -s n -r -d 'Release notes'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l draft -s d -d 'Is a draft'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l prerelease -s p -d 'Is a pre-release'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l asset -s a -r -d 'Path to file attachment. Can be specified multiple times'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from releases release r' -a 'delete rm' -d 'Delete a release'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l confirm -s y -d 'Confirm deletion (required)'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l delete-tag -d 'Also delete the git tag for this release'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from releases release r' -a 'edit e' -d 'Edit a release'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l tag -r -d 'Change Tag'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l target -r -d 'Change Target'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l title -s t -r -d 'Change Title'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l note -s n -r -d 'Change Notes'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l draft -s d -r -d 'Mark as Draft [True/false]'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l prerelease -s p -r -d 'Mark as Pre-Release [True/false]'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from edit e' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'times time t' -d 'Operate on tracked times of a repository\'s issues & pulls'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l from -s f -r -d 'Show only times tracked after this date'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l until -s u -r -d 'Show only times tracked before this date'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l total -s t -d 'Print the total duration at the end'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l mine -s m -d 'Show all times tracked by you across all repositories (overrides command arguments)'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l fields -r -d 'Comma-separated list of fields to print. Available values:
	id,created,repo,issue,user,duration
'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from times time t' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from add a' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from times time t' -a 'add a' -d 'Track spent time on an issue'
complete -c tea -n '__fish_seen_subcommand_from add a' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from add a' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from add a' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from times time t' -a 'delete rm' -d 'Delete a single tracked time on an issue'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from reset' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from times time t' -a 'reset' -d 'Reset tracked time on an issue'
complete -c tea -n '__fish_seen_subcommand_from reset' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from reset' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from reset' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from times time t' -a 'list ls' -d 'List tracked times on issues & pulls'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l from -s f -r -d 'Show only times tracked after this date'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l until -s u -r -d 'Show only times tracked before this date'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l total -s t -d 'Print the total duration at the end'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l mine -s m -d 'Show all times tracked by you across all repositories (overrides command arguments)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l fields -r -d 'Comma-separated list of fields to print. Available values:
	id,created,repo,issue,user,duration
'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from organizations organization org' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'organizations organization org' -d 'List, create, delete organizations'
complete -c tea -n '__fish_seen_subcommand_from organizations organization org' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from organizations organization org' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from organizations organization org' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from organizations organization org' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from organizations organization org' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from organizations organization org' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from organizations organization org' -a 'list ls' -d 'List Organizations'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from organizations organization org' -a 'create c' -d 'Create an organization'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l name -s n -r
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l description -s d -r
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l website -s w -r
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l location -s L -r
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l visibility -s v -r
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l repo-admins-can-change-team-access
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from organizations organization org' -a 'delete rm' -d 'Delete users Organizations'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from delete rm' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from repos repo' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'repos repo' -d 'Show repository details'
complete -c tea -n '__fish_seen_subcommand_from repos repo' -f -l watched -s w -d 'List your watched repos instead'
complete -c tea -n '__fish_seen_subcommand_from repos repo' -f -l starred -s s -d 'List your starred repos instead'
complete -c tea -n '__fish_seen_subcommand_from repos repo' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			description,forks,id,name,owner,stars,ssh,updated,url,permission,type
		'
complete -c tea -n '__fish_seen_subcommand_from repos repo' -f -l type -s T -r -d 'Filter by type: fork, mirror, source'
complete -c tea -n '__fish_seen_subcommand_from repos repo' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from repos repo' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from repos repo' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from repos repo' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from repos repo' -a 'list ls' -d 'List repositories you have access to'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l watched -s w -d 'List your watched repos instead'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l starred -s s -d 'List your starred repos instead'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			description,forks,id,name,owner,stars,ssh,updated,url,permission,type
		'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l type -s T -r -d 'Filter by type: fork, mirror, source'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from repos repo' -a 'search s' -d 'Find any repo on an Gitea instance'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l topic -s t -d 'Search for term in repo topics instead of name'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l type -s T -r -d 'Filter by type: fork, mirror, source'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l owner -s O -r -d 'Filter by owner'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l private -r -d 'Filter private repos (true|false)'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l archived -r -d 'Filter archived repos (true|false)'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			description,forks,id,name,owner,stars,ssh,updated,url,permission,type
		'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from search s' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from repos repo' -a 'create c' -d 'Create a repository'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l name -s  -r -d 'name of new repo'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l owner -s O -r -d 'name of repo owner'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l private -d 'make repo private'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l description -s desc -r -d 'add description to repo'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l init -d 'initialize repo'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l labels -r -d 'name of label set to add'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l gitignores -s git -r -d 'list of gitignore templates (need --init)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l license -r -d 'add license (need --init)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l readme -r -d 'use readme template (need --init)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l branch -r -d 'use custom default branch (need --init)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l template -d 'make repo a template repo'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l trustmodel -r -d 'select trust model (committer,collaborator,collaborator+committer)'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from create c' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from repos repo' -a 'create-from-template ct' -d 'Create a repository based on an existing template'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l template -s t -r -d 'source template to copy from'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l name -s n -r -d 'name of new repo'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l owner -s O -r -d 'name of repo owner'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l private -d 'make new repo private'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l description -s desc -r -d 'add custom description to repo'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l content -d 'copy git content from template'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l githooks -d 'copy git hooks from template'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l avatar -d 'copy repo avatar from template'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l labels -d 'copy repo labels from template'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l topics -d 'copy topics from template'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l webhooks -d 'copy webhooks from template'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from create-from-template ct' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from fork f' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from repos repo' -a 'fork f' -d 'Fork an existing repository'
complete -c tea -n '__fish_seen_subcommand_from fork f' -f -l owner -s O -r -d 'name of fork\'s owner, defaults to current user'
complete -c tea -n '__fish_seen_subcommand_from fork f' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from fork f' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from fork f' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from comment c' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'comment c' -d 'Add a comment to an issue / pr'
complete -c tea -n '__fish_seen_subcommand_from comment c' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from comment c' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from comment c' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from comment c' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from open o' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'open o' -d 'Open something of the repository in web browser'
complete -c tea -n '__fish_seen_subcommand_from open o' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from open o' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from open o' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'notifications notification n' -d 'Show notifications'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			id,status,updated,index,type,state,title,repository
		'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l types -s t -r -d 'Comma-separated list of subject types to filter by. Available values:
			issue,pull,repository,commit
		'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l states -s s -r -d 'Comma-separated list of notification states to filter by. Available values:
			pinned,unread,read
		'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l mine -s m -d 'Show notifications across all your repositories instead of the current repository only'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from notifications notification n' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from notifications notification n' -a 'ls list' -d 'List notifications'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			id,status,updated,index,type,state,title,repository
		'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l types -s t -r -d 'Comma-separated list of subject types to filter by. Available values:
			issue,pull,repository,commit
		'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l states -s s -r -d 'Comma-separated list of notification states to filter by. Available values:
			pinned,unread,read
		'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l mine -s m -d 'Show notifications across all your repositories instead of the current repository only'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from ls list' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from read r' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from notifications notification n' -a 'read r' -d 'Mark all filtered or a specific notification as read'
complete -c tea -n '__fish_seen_subcommand_from read r' -f -l states -s s -r -d 'Comma-separated list of notification states to filter by. Available values:
			pinned,unread,read
		'
complete -c tea -n '__fish_seen_subcommand_from read r' -f -l mine -s m -d 'Show notifications across all your repositories instead of the current repository only'
complete -c tea -n '__fish_seen_subcommand_from read r' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from read r' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from read r' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from read r' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from read r' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from read r' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from unread u' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from notifications notification n' -a 'unread u' -d 'Mark all filtered or a specific notification as unread'
complete -c tea -n '__fish_seen_subcommand_from unread u' -f -l states -s s -r -d 'Comma-separated list of notification states to filter by. Available values:
			pinned,unread,read
		'
complete -c tea -n '__fish_seen_subcommand_from unread u' -f -l mine -s m -d 'Show notifications across all your repositories instead of the current repository only'
complete -c tea -n '__fish_seen_subcommand_from unread u' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from unread u' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from unread u' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from unread u' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from unread u' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from unread u' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from pin p' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from notifications notification n' -a 'pin p' -d 'Mark all filtered or a specific notification as pinned'
complete -c tea -n '__fish_seen_subcommand_from pin p' -f -l states -s s -r -d 'Comma-separated list of notification states to filter by. Available values:
			pinned,unread,read
		'
complete -c tea -n '__fish_seen_subcommand_from pin p' -f -l mine -s m -d 'Show notifications across all your repositories instead of the current repository only'
complete -c tea -n '__fish_seen_subcommand_from pin p' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from pin p' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from pin p' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from pin p' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from pin p' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from pin p' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from unpin' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from notifications notification n' -a 'unpin' -d 'Unpin all pinned or a specific notification'
complete -c tea -n '__fish_seen_subcommand_from unpin' -f -l states -s s -r -d 'Comma-separated list of notification states to filter by. Available values:
			pinned,unread,read
		'
complete -c tea -n '__fish_seen_subcommand_from unpin' -f -l mine -s m -d 'Show notifications across all your repositories instead of the current repository only'
complete -c tea -n '__fish_seen_subcommand_from unpin' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from unpin' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from unpin' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from unpin' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from unpin' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from unpin' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from clone C' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'clone C' -d 'Clone a repository locally'
complete -c tea -n '__fish_seen_subcommand_from clone C' -f -l depth -s d -r -d 'num commits to fetch, defaults to all'
complete -c tea -n '__fish_seen_subcommand_from clone C' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from admin a' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'admin a' -d 'Operations requiring admin access on the Gitea instance'
complete -c tea -n '__fish_seen_subcommand_from users u' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from admin a' -a 'users u' -d 'Manage registered users'
complete -c tea -n '__fish_seen_subcommand_from users u' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			id,login,full_name,email,avatar_url,language,is_admin,restricted,prohibit_login,location,website,description,visibility,activated,lastlogin_at,created_at
		'
complete -c tea -n '__fish_seen_subcommand_from users u' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from users u' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from users u' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from users u' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from users u' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from users u' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_seen_subcommand_from users u' -a 'list ls' -d 'List Users'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l fields -s f -r -d 'Comma-separated list of fields to print. Available values:
			id,login,full_name,email,avatar_url,language,is_admin,restricted,prohibit_login,location,website,description,visibility,activated,lastlogin_at,created_at
		'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l page -s p -r -d 'specify page, default is 1'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l limit -s lm -r -d 'specify limit of items per page'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l repo -s r -r -d 'Override local repository path or gitea repository slug to interact with. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l remote -s R -r -d 'Discover Gitea login from remote. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l login -s l -r -d 'Use a different Gitea Login. Optional'
complete -c tea -n '__fish_seen_subcommand_from list ls' -f -l output -s o -r -d 'Output format. (csv, simple, table, tsv, yaml)'
complete -c tea -n '__fish_seen_subcommand_from help h' -f -l help -s h -d 'show help'
complete -r -c tea -n '__fish_tea_no_subcommand' -a 'help h' -d 'Shows a list of commands or help for one command'
